class Customize::Character < ActiveRecord::Base
	attr_accessor :content
	self.table_name = "customize_characters"
	serialize :value
	belongs_to :related, :polymorphic => true

	before_validation do |object|
		unless object.content.nil?
			case
			when object.content =~ /\d+/
				object.value = content.to_i
				object.value_type = :integer
			when content =~ /(true)|(false)/
				object.value = Boolean.new content
				object.value_type = :boolean
			when content =~ /[0-9\.]+/
				object.value = Decimal.new content
				object.value_type = :decimal
			when content =~ /^\[/
				object.value = ""
				object.value_type = :list
			when content =~ /^\{/
				object.value = ""
				object.value_type = :hash
			else
				object.value = content
				object.value_type = :string
			end
		end
	end
end
