module Customize
	class Formular < ActiveRecord::Base
		belongs_to :related, :polymorphic=>true
		serialize :calculator_attributes

		def calculator
			return unless calculator_name
			cal = calculator_name.constantize
			cal_ins = cal.new
			calculator_attributes.try :symbolize_keys! if calculator_attributes.respond_to? :symbolize_keys!
			names = (calculator_attributes.keys.map!(&:to_sym) & cal.inputs) if calculator_attributes
			names.each do |name|
				cal_ins.instance_variable_set "@#{name}", calculator_attributes[name]
			end if names
			cal_ins
		end
	end
end
