module Customize
	module Characterize

		def self.included base
			base.extend ClassMethods
			base.has_many :characters, :class_name=>Customize::Character.name, :as=>:related
			base.accepts_nested_attributes_for :characters
		end

		module ClassMethods
		end

		def character
			@character ||= proc {
				ascent_ids =  self.class.include?(Customize::Inherited) ? self.ascent_ids : []
				all_character = Character.where(:related_id=>(ascent_ids | [self.id]), :related_type=>self.class.name)
				all_character.inject(HashWithIndifferentAccess.new) { |map, item| 
					map[item.key] = item.value
					map
				}
			}.call

		end
		
		def inherited_characters
			if self.class.include?(Customize::Inherited)
				Character.where(:related_id=>ascent_ids, :related_type=>self.class.name)
			end
		end
	end

end
